$block: root-header;

.#{$block} {
	top: 0;
	left: 0;
	right: 0;
	z-index: 1200;
	display: block;
	position: fixed;
	padding: 15px 0;

	&__row {
		display: flex;
		align-items: center;
		justify-content: space-between;
		position: relative;
	}

	&__logo {
		font-size: 0;
		line-height: 0;
		display: block;
		width: 70px;

		svg {
			fill: $black;
		}
	}

	&__link {
		display: none;
		color: $black;
		padding: 0;
		margin: 0;
		border: none;
		outline: none;
		cursor: pointer;
		background: transparent;
		margin-left: 150px;
		text-decoration: none;

		&:hover {
			color: $black;
			text-decoration: none;
		}
	}

	&__nav {
		width: 30px;
		height: 30px;
		font-size: 0;
		line-height: 0;
		cursor: pointer;
		display: block;
		position: relative;

		span,
		&:after,
		&:before {
			left: calc(50% - 15px);
			content: '';
			z-index: 10;
			width: 30px;
			height: 2px;
			display: block;
			background: $black;
			border-radius: 2px;
			position: absolute;
		}

		span {
			top: calc(50% - 1px);
		}

		&:after {
			top: calc(50% - 7px);
		}

		&:before {
			top: calc(50% + 5px);
		}
	}

	&__phone {
		right: 0;
		display: none;
		top: calc(50% - 10px);
		color: $white;
		white-space: nowrap;
		text-decoration: none;
		position: absolute;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);
	}

	&.header-white {

		.#{$block} {

			&__logo {

				svg {
					fill: $white;
				}
			}

			&__nav {

				span,
				&:after,
				&:before {
					background: $white;
				}
			}

			&__link {
				color: $white;

				&:hover {
					color: $white;
				}
			}
		}
	}

	&.header-black {

		.#{$block} {

			&__logo {

				svg {
					fill: $black;
				}
			}

			&__nav {

				span,
				&:after,
				&:before {
					background: $black;
				}
			}

			&__link {
				color: $black;

				&:hover {
					color: $black;
				}
			}
		}
	}

	&.header-white-black {

		.#{$block} {

			&__logo {

				svg {
					fill: $black;
				}
			}

			&__nav {

				span,
				&:after,
				&:before {
					background: $black;
				}
			}

			&__link {
				color: $black;

				&:hover {
					color: $black;
				}
			}
		}
	}

	@media (min-width: $screen-sm-min) {

		&__link {
			display: inline-block;
		}

		&.header-white-black {

			.#{$block} {

				&__logo {

					svg {
						fill: $white;
					}
				}
			}
		}
	}

	@media (min-width: $screen-md-min) {
		padding: 35px 0 25px 0;

		&__logo {
			width: 120px;
		}

		&__link {
			margin-left: 190px;
		}
	}


	@media (min-width: $screen-lg-min) {

		&__link {
			margin-left: 305px;
		}
	}


	@media (min-width: $screen-xl-min) {

	}
}

.root-post,
.root-portfolio_item {

	.#{$block} {

		&__logo {

			svg {
				fill: $white;
			}
		}

		&__nav {

			span,
			&:after,
			&:before {
				background: $white;
			}
		}

		&__link {
			color: $white;

			&:hover {
				color: $white;
			}
		}
	}
}

.root-homepage {

	.#{$block} {

		&__logo {

			svg {
				fill: $white;
			}
		}

		&__nav {
			opacity: 0;
			visibility: hidden;

			span,
			&:after,
			&:before {
				background: $white;
			}
		}

		&__link {
			color: $white;

			&:hover {
				color: $white;
			}
		}

		&__phone {
			display: inline-block;
		}

		&.header-black,
		&.header-white,
		&.header-white-black {

			.#{$block} {

				&__phone {
					opacity: 0;
					visibility: hidden;
				}

				&__nav {
					opacity: 1;
					visibility: visible;
				}
			}
		}
	}

	@media (min-width: $screen-sm-min) {

		.#{$block} {

			&__logo {

				svg {
					fill: $black;
				}
			}
		}
	}
}


.root-about {

	.#{$block} {

		&__logo {

			svg {
				fill: $white;
			}
		}

		&__nav {

			span,
			&:after,
			&:before {
				background: $white;
			}
		}

		&__link {
			color: $white;

			&:hover {
				color: $white;
			}
		}
	}
}

.root-contact {

	.#{$block} {

		&__logo {

			svg {
				fill: $white;
			}
		}

		&__nav {

			span,
			&:after,
			&:before {
				background: $white;
			}
		}

		&__link {
			color: $white;

			&:hover {
				color: $white;
			}
		}
	}
}